<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link rel="stylesheet" href="styles_de_base.css" type="text/css" media="screen">

<title>Recensement 2007-2008</title>
</head>



<body class="oneColElsCtrHdr">








<!--*******************************PAGE PRINCIPALE********************************-->
<div id="container">

<!--************************************ENTETE************************************--> 
	<div id="header">
    <img class=image_droite src=images/logo_smm.gif>
    	<h1>RECENSEMENT 2007-2008<br />
<br />
</h1>
    </div>
  
<!--*************************************CORP*************************************-->  
  	<div id="mainContent">
    	<h1> Bienvenue </h1>
	    <h3>Bienvenue sur la page du recensement des Scouts du Montr&eacute;al m&eacute;tropolitain.</h3>
       
       
       
       
       
       
       
       
       <?php

//Si on a un code d'usager &agrave; traiter...
if (!empty($usager))
{
	//Si on a un mot de passe pour l'usager sp&eacute;cifi&eacute;...
	if (!empty($password))
	{
		//Connecter au serveur mysql
		$link = @($GLOBALS["___mysqli_ston"] = mysqli_connect("sqlc9.megasqlservers.com",  "dbm.scoutsmm.qc.ca",  "26iordplm")) or die("<font color=black><br><br><br><br>Erreur 001:<br> Ne peut se connecter au serveur. Fermez le programme et essayez &agrave; nouveau de vous connecter. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a><br>");
		
		mysqli_select_db($GLOBALS["___mysqli_ston"], loc_bases_scoutsmm_qc_ca) or die("<font color=black><br><br><br><br>Erreur 002:<br> Ne peut se connecter au serveur. Fermez le programme et essayez &agrave; nouveau de vous connecter. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a><br>");
		
		
		
		/*$sql = "SELECT rec_usagers.no_usager
                FROM rec_usagers
                WHERE usager='$usager' 
			   		AND mot_de_passe='$password';";*/
		$sql = "SELECT usager.gestion_bases
                FROM usager 
                WHERE usager.usager = '$usager' 
			   	  AND usager.motdepasse = '$password';";		
					
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("<font color=black><br><br><br><br>Erreur 003:<br> Ne peut se connecter au serveur. Fermez le programme et essayez &agrave; nouveau de vous connecter. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a><br> ".$sql);
		$num = mysqli_num_rows($result);
		((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);

		if ($num != "0") //Si les nom d'usager et mot de passe ont &eacute;t&eacute; valid&eacute;s...
		{
			//Cr&eacute;ation du code d'identification de la session.
			srand((double)microtime()*1000000); // seed the ramdom number generator
			$session_id = md5(uniqid(rand())); // construct the sessionid
			$sql = "update rec_usagers 
				set idsession='$session_id'
           	    WHERE usager='$usager';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)or die("<font color=white><br><br><br><br>Erreur 004:<br> Ne peut se connecter au serveur. Fermez le programme et essayez &agrave; nouveau de vous connecter. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a><br>");
			redirigerMenu();//Rediriger vers la page du menu principal du bottin.
		}
		else
		{
			afficherErreur();//Les nom d'usager et mot de passe ne concordent pas, l'acc&egrave;s est donc refus&eacute;.
		}
	} 			
	else
	{
		afficherInvalide();//L'usager n'a pas sp&eacute;cifi&eacute; de mot de passe.
	}
}
else
{
	afficherInvite();//Afficher l'invite normale pour entrer le nom d'usager et le mot de passe.
}

function redirigerMenu()
{
	global $session_id;			//Num&eacute;ro de la session, variable globale.
	print("\n\n<script language='JavaScript'>\n");
	print("document.location = 'index_groupe.php?session_id=".$session_id."';\n");
	print("</script>\n\n");
}

function afficherErreur()
{
	print("Vous devez sp&eacute;cifier un nom d'utilisateur et un mot de passe valides !");	//Afficher le message d'erreur.
	afficherLogin();	//Afficher le formulaire d'entr&eacute;e du nom d'usager et du mot de passe.
}

function afficherInvalide()
{
	global $specs;		//Attributs des couleurs, variable globale.
	print("Vous avez oubli&eacute; de sp&eacute;cifier votre mot de passe ! ");	//Afficher le message d'erreur.
	afficherLogin();	//Afficher le formulaire d'entr&eacute;e du nom d'usager et du mot de passe.
}

function afficherInvite()
{
	global $specs;		//Attributs des couleurs, variable globale.
	print("<h3>Veuillez entrer votre nom d'utilisateur et votre mot de passe pour avoir acc&egrave;s &agrave; votre recensement de groupe.</h3>");	//Afficher l'invite d'entr&eacute;e du nom d'utilisateur et du mot de passe.
	afficherLogin();	//Afficher le formulaire d'entr&eacute;e du nom d'usager et du mot de passe.
}

function afficherLogin()
{
	global $usager;			//Nom d'usager de la derni&egrave;re tentative.
	print("<form action=\"index1.php\" method=\"post\" name=\"myform\">");//D&eacute;finir le formulaire.
	print("<table width=500 cellspacing=6>");//Cadre pour la mise en page.
	//Nom d'usager.
	print("<tr><td>Nom d'utilisateur : ");
	print("</td><td><div align=right>");
	print("<input type=\"text\" name=\"usager\" value=\"$usager\" maxlength=\"20\" size=\"40\">");
	//Mot de passe.
	print("</div></td></tr><tr><td>Mot de passe : ");
	print("</td><td><div align=right>");
	print("<input type=\"password\" name=\"password\" maxlength=8 size=40><br>");
	//Bouton de validation.
	print("</div></td></tr><tr><td>&nbsp;</td><td><br><div align=right>");
	print("<input type=\"submit\" value=\"Valider\">");
	//Fermer le tableau ainsi que le formulaire.
	print("</div></td></tr></table>");
	print("</form>");
}

?>

       
       
       
       
       
       
       
       
       
       
       
	</div>


  
<!--********************************PIED DE PAGE**********************************-->   
	<div id="footer">
	</div>
    
    
    
</div><!-- FIN PAGE PRINCIPALE -->

</body>
</html>
